# Uses of Interface
org.eclipse.pde.core.plugin.IExtensions

Packages that use IExtensions
Package
Description
org.eclipse.pde.core.plugin
Application programming interfaces for working with PDE's model of plug-ins.

## Uses of IExtensions in org.eclipse.pde.core.plugin

Subinterfaces of IExtensions in org.eclipse.pde.core.plugin
Modifier and Type
Interface
Description
`interface`
`IFragment`
A model object that represents the content of the fragment.xml file.
`interface`
`IPlugin`
A model object that represents the content of the plugin.xml file.
`interface`
`IPluginBase`
A model object that represents the content of a plug-in or fragment manifest.
Methods in org.eclipse.pde.core.plugin that return IExtensions
Modifier and Type
Method
Description
`IExtensions`
ISharedExtensionsModel.`getExtensions()`
Returns a top-level model object.
`IExtensions`
ISharedExtensionsModel.`getExtensions(boolean createIfMissing)`
Returns a top-level model object.